Bug 838683 - If RHQ server is down, UI shows "Server returned FAILURE with no error message"
If RHQ server is down, UI shows "Server returned FAILURE with no error message"
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
All All
high Severity medium (vote)
: ---
: RHQ 4.5.0
Assigned To: Jay Shaughnessy
Mike Foley
Depends On:
Blocks: 847022
  Show dependency treegraph
Reported: 2012-07-09 15:12 EDT by Jay Shaughnessy
Modified: 2013-09-01 06:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 847022 (view as bug list)
Last Closed: 2013-09-01 06:04:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2012-07-09 15:12:42 EDT
For some reason we are no longer seeing the message displayed originally by the fix for Bug #729329.

Instead we see "Server returned FAILURE with no error message"

Test Note: can try this by

1) start server

2) connect a browser session

   note - test all supported browser types

3) log in and go to global dashboard

4) stop server

5) either wait for auto refresh or force a portlet refresh

Ensure a proper message is displayed, indicating the server is probably down.
Comment 1 Jay Shaughnessy 2012-08-09 09:24:18 EDT
master commit c1d401ff6c2b495cb599dfb66e0dd157b6442614

 More recent versions of Firefox, and possibly other browsers, have changed
 the request's response code in this situation.  Added updated handling.
 Also, fixed an I18N issue.
Comment 2 Heiko W. Rupp 2013-09-01 06:04:35 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.